/**
 * Grid
 */

/* I'm so used to the grid from Bootstrap 4, that I've decided to recreate it at
least in its basics. Big up to the BS4 creators! */

[class*="col"] {
  padding: 0 var(--spacer);
  flex-basis: 0;
  flex-grow: 1;
  flex-shrink: 1;
}

[class*="col-md"] {
  flex-basis: 100%;
}

.col {
  max-width: 100%;
}

.col-1 {
  max-width: calc(100% / 12 * 1);
}

.col-2 {
  max-width: calc(100% / 12 * 2);
}

.col-3 {
  max-width: calc(100% / 12 * 3);
}

.col-4 {
  max-width: calc(100% / 12 * 4);
}

.col-5 {
  max-width: calc(100% / 12 * 5);
}

.col-6 {
  max-width: calc(100% / 12 * 6);
}

.col-7 {
  max-width: calc(100% / 12 * 7);
}

.col-8 {
  max-width: calc(100% / 12 * 8);
}

.col-9 {
  max-width: calc(100% / 12 * 9);
}

.col-10 {
  max-width: calc(100% / 12 * 10);
}

.col-11 {
  max-width: calc(100% / 12 * 11);
}

.col-12 {
  max-width: calc(100% / 12 * 12);
}

@media screen and (min-width: 48em) {
  .col-md-1 {
    flex-basis: calc(100% / 12 * 1);
    max-width: calc(100% / 12 * 1);
  }

  .col-md-2 {
    flex-basis: calc(100% / 12 * 2);
    max-width: calc(100% / 12 * 2);
  }

  .col-md-3 {
    flex-basis: calc(100% / 12 * 3);
    max-width: calc(100% / 12 * 3);
  }

  .col-md-4 {
    flex-basis: calc(100% /12 * 4);
    max-width: calc(100% / 12 * 4);
  }

  .col-md-5 {
    flex-basis: calc(100% / 12 * 5);
    max-width: calc(100% / 12 * 5);
  }

  .col-md-6 {
    flex-basis: calc(100% / 12 * 6);
    max-width: calc(100% / 12 * 6);
  }

  .col-md-7 {
    flex-basis: calc(100% / 12 * 7);
    max-width: calc(100% / 12 * 7);
  }

  .col-md-8 {
    flex-basis: calc(100% / 12 * 8);
    max-width: calc(100% / 12 * 8);
  }

  .col-md-9 {
    flex-basis: calc(100% / 12 * 9);
    max-width: calc(100% / 12 * 9);
  }

  .col-md-10 {
    flex-basis: calc(100% / 12 * 10);
    max-width: calc(100% / 12 * 10);
  }

  .col-md-11 {
    flex-basis: calc(100% / 12 * 11);
    max-width: calc(100% / 12 * 11);
  }

  .col-md-12 {
    flex-basis: calc(100% / 12 * 12);
    max-width: calc(100% / 12 * 12);
  }

  .col-md-offset-1 {
    margin-left: calc(100% / 12 * 1);
  }

  .col-md-offset-2 {
    margin-left: calc(100% / 12 * 2);
  }

  .col-md-offset-3 {
    margin-left: calc(100% / 12 * 3);
  }

  .col-md-offset-4 {
    margin-left: calc(100% / 12 * 4);
  }

  .col-md-offset-5 {
    margin-left: calc(100% / 12 * 5);
  }

  .col-md-offset-6 {
    margin-left: calc(100% / 12 * 6);
  }

  .col-md-offset-7 {
    margin-left: calc(100% / 12 * 7);
  }

  .col-md-offset-8 {
    margin-left: calc(100% / 12 * 8);
  }

  .col-md-offset-9 {
    margin-left: calc(100% / 12 * 9);
  }

  .col-md-offset-10 {
    margin-left: calc(100% / 12 * 10);
  }

  .portfolio__item {
    flex-basis: 50%;
    max-width: calc((100% / 2) - 10px);
  }

}